Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpExt

    java.lang.Object
      |
      +--org.w3c.www.http.HttpExt

public class HttpExt
extends java.lang.Object

Field Summary
`protected java.util.Hashtable` | `exts`
`protected boolean` | `generated`
`protected boolean` | `headers`
`protected java.lang.String` | `name`
`protected java.lang.String` | `ns`

Constructor Summary
`protected` | `HttpExt()`
`` | `HttpExt(HttpExt old)` Constructor, for User
`` | `HttpExt(java.lang.String name, boolean headers)` Constructor, for User

Method Summary
`void` | `addDeclExt(java.lang.String token, java.lang.String value)` Add an http extension declaration
`java.lang.String` | `getDeclExt(java.lang.String name)` Get an http extension declaration token value.
`java.util.Enumeration` | `getDeclExtNames()` Get all http extension declaration
`java.lang.String` | `getName()` Get the http extension declaration name.
`java.lang.String` | `getNamespace()` Get the http extension declaration namespace.
`protected java.lang.String` | `getRealHeader(java.lang.String header)`
`protected boolean` | `isGenerated()`
`boolean` | `needsHeaders()` Does this extension needs specific headers?
`protected void` | `setName(java.lang.String name)`
`protected void` | `setNamespace(java.lang.String ns)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### ns

    protected java.lang.String ns

### exts

    protected java.util.Hashtable exts

### generated

    protected boolean generated

### headers

    protected boolean headers

Constructor Detail

### HttpExt

    public HttpExt(java.lang.String name,
                   boolean headers)

  Constructor, for User

Parameters:
  `name` - the Http extension declaration name

### HttpExt

    public HttpExt(HttpExt old)

  Constructor, for User

Parameters:
  `old` - the old Http extension declaration If you want to reply the same extension, use this contructor.

### HttpExt

    protected HttpExt()

Method Detail

### setName

    protected void setName(java.lang.String name)

### getName

    public java.lang.String getName()

  Get the http extension declaration name.

  Returns:
    a String instance

### setNamespace

    protected void setNamespace(java.lang.String ns)

### getNamespace

    public java.lang.String getNamespace()

  Get the http extension declaration namespace.

  Returns:
    a String instance

### needsHeaders

    public boolean needsHeaders()

  Does this extension needs specific headers?

  Returns:
    a boolean.

### addDeclExt

    public void addDeclExt(java.lang.String token,
                           java.lang.String value)

  Add an http extension declaration

  Parameters:
    `value` - the value.

### getDeclExt

    public java.lang.String getDeclExt(java.lang.String name)

  Get an http extension declaration token value.

  Parameters:
    `name` - the token name.
  Returns:
    a String instance

### getDeclExtNames

    public java.util.Enumeration getDeclExtNames()

  Get all http extension declaration

  Returns:
    an Enumeration instance

### getRealHeader

    protected java.lang.String getRealHeader(java.lang.String header)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isGenerated

    protected boolean isGenerated()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD